> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/core/annotation/remove.md).

# Remove annotation from document on Server/Desktop

Learn how to remove an annotation from a document with our step-by-step guide. Easily manage your files and annotations for a seamless experience. The Apryse Server SDK streamlines secure document pro

To remove an annotation from a document.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
PDFDoc doc = new PDFDoc(filename);
Page page = doc.GetPage(1);

// remove by index
page.AnnotRemove(0);

// remove by annotation
Annot annotation = page.GetAnnot(0);
page.AnnotRemove(annotation);
```

{% endcode %}
{% endtab %}

{% tab title="C++" %}
{% code lineNumbers="true" %}

```cpp
PDFDoc doc(filename);
Page page = doc.GetPage(1);

// remove by index
page.AnnotRemove(0);

// remove by annotation
Annot annotation = page.GetAnnot(0);
page.AnnotRemove(annotation);
```

{% endcode %}
{% endtab %}

{% tab title="Go" %}
{% code lineNumbers="true" %}

```go
doc := NewPDFDoc(filename)
page := doc.GetPage(1)

// remove by index
page.AnnotRemove(0)

// remove by annotation
annotation := page.GetAnnot(0)
page.AnnotRemove(annotation)
```

{% endcode %}
{% endtab %}

{% tab title="Java" %}
{% code lineNumbers="true" %}

```java
PDFDoc doc = new PDFDoc(filename);
Page page = doc.getPage(1);

// remove by index
page.annotRemove(0);

// remove by annotation
Annot annotation = page.getAnnot(0);
page.annotRemove(annotation);
```

{% endcode %}
{% endtab %}

{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
async function main() {
  const doc = await PDFNet.PDFDoc.createFromURL(filename);
  const page = await doc.getPage(1);

  // remove by index
  await page.annotRemove(0);

  // remove by annotation
  const annotation = await page.getAnnot(0);
  await page.annotRemove(annotation);
}
PDFNet.runWithCleanup(main);
```

{% endcode %}
{% endtab %}

{% tab title="Kotlin" %}
{% code lineNumbers="true" %}

```kotlin
val doc = PDFDoc(filename)
val page = doc.getPage(1)

// remove by index
page.annotRemove(0);

// remove by annotation
val annotation = page.getAnnot(0)
page.annotRemove(annotation)
```

{% endcode %}
{% endtab %}

{% tab title="Obj-C" %}
{% code lineNumbers="true" %}

```objc
PTPDFDoc *doc = [[PTPDFDoc alloc] initWithFilepath: filename];
PTPage *page = [doc GetPage:1];

// remove by index
[page AnnotRemoveWithIndex:0];

// remove by annotation
PTAnnot *annotation = [page GetAnnot:0];
[page AnnotRemoveWithAnnot:annotation];
```

{% endcode %}
{% endtab %}

{% tab title="Swift" %}
{% code lineNumbers="true" %}

```swift
let doc: PTPDFDoc = PTPDFDoc(filepath: filename)
let page: PTPage = doc.getPage(1)

// remove by index
page.annotRemove(with: 0)

// remove by annotation
let annotation: PTAnnot = page.getAnnot(0)
page.annotRemove(with: annotation)
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code lineNumbers="true" %}

```php
$doc = new PDFDoc($filename);
$page = $doc->GetPage(1);

// remove by index
$page->AnnotRemove(0);

// remove by annotation
$annotation = $page->GetAnnot(0);
$page->AnnotRemove($annotation);
```

{% endcode %}
{% endtab %}

{% tab title="Python" %}
{% code lineNumbers="true" %}

```python
doc = PDFDoc(filename)
page = doc.GetPage(1)

# remove by index
page.AnnotRemove(0)

# remove by annotation
annotation = page.GetAnnot(0)
page.AnnotRemove(annotation)
```

{% endcode %}
{% endtab %}

{% tab title="Ruby" %}
{% code lineNumbers="true" %}

```ruby
doc = PDFDoc.new(filename)
page = doc.GetPage(1)

# remove by index
page.AnnotRemove(0)

# remove by annotation
annotation = page.GetAnnot(0)
page.AnnotRemove(annotation)
```

{% endcode %}
{% endtab %}

{% tab title="VB" %}
{% code lineNumbers="true" %}

```vb
Dim doc As PDFDoc = New PDFDoc(filename)
Dim page As Page = doc.GetPage(1)

' remove by index
page.AnnotRemove(0)

' remove by annotation
Dim annotation As Annot = page.GetAnnot(0)
page.AnnotRemove(annotation)
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/core/annotation/remove.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
